Lipsync
Update Lipsync
Updates the display title of a lipsync job.
PATCH
/
v3
/
lipsyncs
/
{lipsync_id}
Update Lipsync
curl --request PATCH \
--url https://api.heygen.com/v3/lipsyncs/{lipsync_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"title": "<string>"
}
'import requests
url = "https://api.heygen.com/v3/lipsyncs/{lipsync_id}"
payload = { "title": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>'})
};
fetch('https://api.heygen.com/v3/lipsyncs/{lipsync_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"title": "<string>",
"duration": 123,
"video_url": "<string>",
"caption_url": "<string>",
"callback_id": "<string>",
"created_at": 123,
"failure_message": "<string>"
}
}{
"error": {
"code": "invalid_parameter",
"message": "At least one field must be provided for update.",
"param": null,
"doc_url": null
}
}{
"error": {
"code": "authentication_failed",
"message": "Invalid or expired API key. Verify your x-api-key header.",
"param": null,
"doc_url": null
}
}{
"error": {
"code": "not_found",
"message": "Lipsync not found.",
"param": null,
"doc_url": null
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Too many requests. Retry after the duration specified in the Retry-After header.",
"param": null,
"doc_url": null
}
}Authorizations
ApiKeyAuthBearerAuth
HeyGen API key. Obtain from your HeyGen dashboard.
Path Parameters
Unique lipsync identifier
Body
application/json
Request body for PATCH /v3/lipsyncs/{id}.
New title for the lipsync
Response
Successful response
Detailed lipsync resource.
Show child attributes
Show child attributes
Previous
List hyperframes rendersReturns a cursor-paginated list of HyperFrames renders in the account, newest first.
Next
⌘I
Update Lipsync

